<mat-sidenav-container class="sidenav-container" [ngClass]="{'is-mobile':mobileQuery.matches}">
  <mat-sidenav #snav [mode]="mobileQuery.matches ? 'over' : 'side'" [fixedInViewport]="mobileQuery.matches"
    fixedTopGap="56">
    <mat-nav-list>
      <a mat-list-item (click)="snav.toggle()" routerLink="/home">Beranda</a>
      <a *ngIf="!userService.isRegistrationInfoCompleted" mat-list-item (click)="snav.toggle()" routerLink="/login">
        <span matBadge="1" matBadgePosition="above after" matBadgeOverlap="false">Lengkapi Profile</span>
      </a>

      <a *ngIf="userService.isPublic" mat-list-item (click)="snav.toggle()" routerLink="/rs">Cari Rumah Sakit</a>
      <a mat-list-item (click)="snav.toggle()" *ngIf="userService.isPublic" routerLink="/user">User Page</a>
      <mat-divider></mat-divider>
      <a mat-list-item (click)="snav.toggle()" routerLink="/page/about">Tentang Kami</a>
      <a mat-list-item (click)="snav.toggle()" routerLink="/page/privacy">Kebijakan Privasi</a>
      <a mat-list-item (click)="snav.toggle()" routerLink="/page/faq">FAQ</a>
      <a mat-list-item (click)="snav.toggle()" routerLink="/page/roles">Jenis dan Peran Pengunjung</a>
      <a mat-list-item (click)="snav.toggle()" routerLink="/page/disclaimer">Sanggahan</a>
    </mat-nav-list>
  </mat-sidenav>

  <mat-sidenav-content cdkScrollable>
    <mat-toolbar class="top-toolbar">
      <mat-toolbar-row>
        <ng-container *ngIf="!mobileQuery.matches; else mobileTitle">
          <a class="header" routerLink="/home"><img src="../assets/KawalRumahSakit@3x.png" /></a>
          <div class="topnav">
            <div class="topnav-menus">
              <a routerLink="/home" routerLinkActive="active">Beranda</a>
              <a routerLink="/list" routerLinkActive="active">Rumah Sakit</a>
              <a routerLink="/page/about" routerLinkActive="active">Tentang Kami</a>
              <a routerLink="/page/privacy" routerLinkActive="active">Kebijakan Privasi</a>
              <a routerLink="/page/faq" routerLinkActive="active">FAQ</a>
            </div>
            <div class="topnav-right">
              <a class="search-icon" *ngIf="userService.isPublic" matRipple matTooltip="Temukan Rumah Sakit atau Faskes"
                routerLink="/rs" mat-icon-button>
                <mat-icon>search</mat-icon>
              </a>
              <ng-container *ngIf="utilService.notificationCount$ | async as count">
                <a *ngIf="userService.isPublic" class="menu-item" routerLink="/user" routerLinkActive="active"
                  [matBadge]="count" matBadgePosition="above after" [matBadgeHidden]="!count">
                  User Page
                </a>
              </ng-container>
              <div>
                <a *ngIf="userService.user$ | async as user; else login" matRipple [routerLink]="['/login']"
                  matBadge="1" matBadgePosition="above after" [matBadgeHidden]="userService.isRegistrationInfoCompleted"
                  class="avatar">
                  <img [src]="user.photoURL" width="40" height="40" class="rounded-circle">
                </a>
              </div>
              <ng-template #login>
                <button [routerLink]="['/login']" mat-button color="primary">
                  Masuk
                </button>
              </ng-template>
            </div>
          </div>
        </ng-container>

        <ng-template #mobileTitle>
          <a class="header" (click)="snav.toggle()"><img src="../assets/KawalRumahSakit@3x.png" /></a>
          <div class="topnav-mobile" *ngIf="(utilService.title$ | async) as title">
            <ng-container *ngIf="title !== 'Beranda'; else spacer">
              <a (click)="location.back()" mat-icon-button>
                <mat-icon>keyboard_arrow_left</mat-icon>
              </a>
              <span matLine>{{ title }}</span>
            </ng-container>
            <ng-template #spacer>
              <!-- If public visitor logged in and role still PUBLIC -->
              <ng-container *ngIf="userService.user$ | async as user; else buttonMendaftarRelawan">
                <span></span>
              </ng-container>
            </ng-template>
            <!-- If public visitor and not logged in -->
            <ng-template #buttonMendaftarRelawan>
              <span></span>
              <a mat-raised-button color="primary" routerLink="/login" routerLinkActive="active">Daftar jadi Relawan</a>
            </ng-template>
            <!-- If user logged in as Public -->
            <a matRipple *ngIf="userService.isPublic" routerLink="/rs" mat-icon-button>
              <mat-icon>search</mat-icon>
            </a>
          </div>

          <!-- <ng-container *ngIf="userService.user$ | async as user; else login">
            <a [routerLink]="['/login']" routerLinkActive="active" class="menu-item" matBadge="1"
              matBadgePosition="above after" [matBadgeHidden]="userService.isRegistrationInfoCompleted">
              <img [src]="user.photoURL" width="35" height="35" class="rounded-circle">
            </a>
          </ng-container>
          <ng-template #login>
            <a [routerLink]="['/login']" routerLinkActive="active" class="menu-item">
              <mat-icon title="Login">person_outline</mat-icon>
            </a>
          </ng-template> -->
        </ng-template>
      </mat-toolbar-row>
    </mat-toolbar>
    <div class="container">
      <div class="content">
        <app-message></app-message>
        <router-outlet></router-outlet>
      </div>
      <div class="footer">
        <div class="">
          Copyright &copy; 2020 &bull; kawalrumahsakit.id
        </div>
        <div class="social-media">
          <a target="_blank" href="https://web.facebook.com/kawalrumahsakit">
            <span class="icon-facebook"></span>
          </a>
          <a target="_blank" href="https://www.instagram.com/kawalrumahsakit">
            <span class="icon-instagram"></span>
          </a>
          <a target="_blank" href="https://twitter.com/KawalRumahSakit">
            <span class="icon-twitter"></span>
          </a>
        </div>
        <div class="page-links">
          <a routerLink="/page/disclaimer">Sanggahan</a>
        </div>
      </div>
    </div>

    <mat-toolbar #bottomToolbar *ngIf="mobileQuery.matches" class="bottomnav show-toolbar">
      <div class="menu-item-container">
        <a matRipple routerLink="/home" routerLinkActive="active" class="menu-item">
          <mat-icon>home</mat-icon>
          <span class="menu-item-text">Beranda</span>
        </a>
        <a matRipple routerLink="/list" routerLinkActive="active" class="menu-item">
          <mat-icon>local_hospital</mat-icon>
          <span class="menu-item-text">Rumah Sakit</span>
        </a>
        <a matRipple routerLink="/page/about" routerLinkActive="active" class="menu-item">
          <mat-icon>info</mat-icon>
          <span class="menu-item-text">Tentang Kami</span>
        </a>
        <a matRipple routerLink="/page/faq" routerLinkActive="active" class="menu-item">
          <mat-icon>help_outline</mat-icon>
          <span class="menu-item-text">FAQ</span>
        </a>

        <ng-container *ngIf="userService.user$ | async as user; else login">
          <a matRipple (click)="snav.toggle()" class="menu-item">
            <mat-icon>more_vert</mat-icon>
          </a>
          <div class="menu-item">
            <a [routerLink]="['/login']" class="user-avatar-bottom" routerLinkActive="active" matBadge="1"
              matBadgePosition="above after" [matBadgeHidden]="userService.isRegistrationInfoCompleted">
              <img [src]="user.photoURL" width="30" height="30" class="rounded-circle">
            </a>
          </div>
        </ng-container>
        <ng-template #login>
          <a [routerLink]="['/login']" routerLinkActive="active" class="menu-item">
            <mat-icon title="Login">person_outline</mat-icon>
            <span class="menu-item-text">Daftar/Masuk</span>
          </a>
        </ng-template>
      </div>
    </mat-toolbar>
  </mat-sidenav-content>
</mat-sidenav-container>
